package reader

import (
	"fmt"
	"tipitypy/db"
)

func GetSourceWords() ([]string, error) {
	dbc := db.Connect()
	var res []string
	err := dbc.Raw(`SELECT value FROM words WHERE deleted_at IS NULL ORDER BY RANDOM() LIMIT 10;`).Scan(&res).Error
	if err != nil {
		return nil, fmt.Errorf("dbc.Raw: %w", err)
	}
	return res, nil
}
