package db

import (
	"gorm.io/gorm"
)

type Stat struct {
	gorm.Model
	Skipped  uint
	Correct  uint
	False    uint
	Words    uint
	Finished bool
	CPM      float64
	WPM      float64
	// Time in milliseconds
	TimeTaken  int64
	InHardMode bool
}
