package main

import "os"

var (
	IsEndless = false
	Color     = true
	HardMode  = false
)

const (
	EndlessOpt  = "-e"
	NoColorOpt  = "-nc"
	HardModeOpt = "--hard"
)

func ParseOptions() {
	for _, arg := range os.Args {
		switch arg {
		case EndlessOpt:
			IsEndless = true
		case NoColorOpt:
			Color = false
		case HardModeOpt:
			HardMode = true
		}
	}
}
